org.eclipse.cdt.core.index

## Interface IPDOMASTProcessor

All Known Implementing Classes:
  IPDOMASTProcessor.Abstract

    public interface IPDOMASTProcessor

The PDOMASTProcessor extension point allows contributors to the org.eclipse.cdt.core.PDOMASTProcessor extension-point to store their own information in the persisted index. The intent is for contributors to define their own ILinkage to avoid managing conflicts with the storage format for existing linkages.

NOTE: The existing org.eclipse.cdt.core.language extension-point, allows new pdomLinkageFactories to be added. However, the `IPDOMLinkageFactory` interface which must be implemented is in an internal package.

Since:
  5.6
Restriction:
  Clients should extend `IPDOMASTProcessor.Abstract`.

### Nested Class Summary

Nested Classes
`static class` `IPDOMASTProcessor.Abstract` An abstract class that should be extended by contributors of the extension-point.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `process(IASTTranslationUnit ast, IIndexSymbols symbols)` Processes the input AST by adding significant symbols to the given output map.

### Method Detail

#### process

    int process(IASTTranslationUnit ast,
                IIndexSymbols symbols)
         throws org.eclipse.core.runtime.CoreException

Processes the input AST by adding significant symbols to the given output map. Returns the linkage id that should be used to store the result, or `ILinkage.NO_LINKAGE_ID` if the AST contained nothing of significance to this processor.

Parameters:
  `ast` - The input AST to be processed.
  `symbols` - The output map of significant symbols.
Returns:
  The linkage-id in which to store the symbols or `ILinkage.NO_LINKAGE_ID` if the AST contained nothing of significance.
Throws:
  `org.eclipse.core.runtime.CoreException`